tool
extends Resource
class_name SummerDayCell


export(Array, Resource) var editable_list := []

var selected = []


func _pass_input(event: InputEvent): # Virtual.
	var block_selection = false
	if selected.size() == 1:
		var success = selected[0]._interact(event)
		if success:
			block_selection = true
	if !block_selection:
		for i in editable_list:
			if i._check_for_selection_candidate(event):
				selected.clear()
				selected.append(i)
				i.update_interaction_hint()
				print("YOU CLICKED!!")


func update_interaction_hint():
	for i in selected:
		i.update_interaction_hint()
